#
# spec file for package xprompt
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xprompt
%define _prefix %(pkg-config --variable prefix x11 || echo /usr/X11R6)
%if "%_prefix" == "/usr/X11R6"
%define _mandir %_prefix/man
%endif
BuildRequires:  imake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xt)
Version:        91.9.28
Release:        1220.4
Summary:        Small tool for prompting users
License:        BSD-3-Clause
Group:          System/X11/Utilities
Source:         xprompt-28sep91.tar.gz
Patch0:         warn.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Small tool to ask the user for one or more responses (e.g., from batch
files).

%prep
%autosetup -p0 -n xprompt-28sep91

%build
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT install install.man

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/man1/*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Mon Dec 18 2017 crrodriguez@opensuse.org
- Replace xorg-x11-devel buildrequires for the needed individual
  shared libraries.
* Mon Jul 24 2006 schwab@suse.de
- Fix building with Xorg 7.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 16 2004 schwab@suse.de
- Fix more warnings.
* Thu Sep 16 2004 schwab@suse.de
- Fix declaration.
* Wed Apr 21 2004 schwab@suse.de
- Pacify autobuild.
* Fri Feb 27 2004 schwab@suse.de
- Add %%defattr.
* Thu May 15 2003 coolo@suse.de
- noone noticed? I forgot the buildroot tag
* Wed Apr 23 2003 coolo@suse.de
- use BuildRoot
- little cleanup
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Thu Nov 23 2000 fehr@suse.de
- add group tag
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
